[blfs-book] r19039 - in trunk/BOOK: general/prog introduction/welcome

via blfs-book blfs-book at lists.linuxfromscratch.org
Sat Aug 19 14:30:54 PDT 2017


Author: bdubbs
Date: Sat Aug 19 14:30:54 2017
New Revision: 19039

Log:
Add instructions to use compiler-rt-4.0.1-glibc-2.26-1.patch.

Modified:
   trunk/BOOK/general/prog/llvm.xml
   trunk/BOOK/introduction/welcome/changelog.xml

Modified: trunk/BOOK/general/prog/llvm.xml
==============================================================================
--- trunk/BOOK/general/prog/llvm.xml	Sat Aug 19 03:33:49 2017	(r19038)
+++ trunk/BOOK/general/prog/llvm.xml	Sat Aug 19 14:30:54 2017	(r19039)
@@ -55,17 +55,7 @@
       <application>LLVM</application>.
     </para>
 
-<!--
-    <note>
-      <para>
-        This package hits a bug in GCC-4.9.0 or an unpatched GCC-4.9.1.
-        To build this package, GCC needs to be updated if you have one of
-        these versions. See <xref linkend="gcc"/>
-        for <application>gcc</application> installation instructions.
-      </para>
-    </note>
--->
-    &lfs80_checked;
+    &lfs81_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
     <itemizedlist spacing="compact">
@@ -141,6 +131,16 @@
         </listitem>
       </itemizedlist>
 
+      <itemizedlist spacing="compact">
+        <listitem>
+          <para>
+            Optional patch:
+            <ulink url="&patch-root;/compiler-rt-4.0.1-glibc-2.26-1.patch"/>
+            (required if using compiler-rt)
+          </para>
+        </listitem>
+      </itemizedlist>
+
     <bridgehead renderas="sect3">LLVM Dependencies</bridgehead>
 
     <!-- cmake is now required -->
@@ -185,25 +185,16 @@
 tar -xf ../compiler-rt-&rt-version;.src.tar.xz -C projects &&
 
 mv tools/cfe-&llvm-version;.src tools/clang &&
-mv projects/compiler-rt-&rt-version;.src projects/compiler-rt</userinput></screen>
+mv projects/compiler-rt-&rt-version;.src projects/compiler-rt
 
-<!-- For 3.7.0: Now fixed at version 3.8.0
-    <para>
-      The run-time library needs to be fixed for 32 bit installations:
-    </para>
+patch -Np1 -d -Np1 -d projects/compiler-rt \
+      -i ../compiler-rt-4.0.1-glibc-2.26-1.patch</userinput></screen>
 
-<screen><userinput>sed -r "/ifeq.*CompilerTargetArch/s#i386#i686#g" \
-    -i projects/compiler-rt/make/platform/clang_linux.mk</userinput></screen>
--->
     <para>
       Install <application>LLVM</application> by running the following
       commands:
     </para>
 
-<!-- Not used in the build system
-<screen><userinput>sed -e "s:/docs/llvm:/share/doc/llvm-&llvm-version;:" \
-    -i Makefile.config.in &&
--->
 <screen><userinput>mkdir -v build &&
 cd       build &&
 

Modified: trunk/BOOK/introduction/welcome/changelog.xml
==============================================================================
--- trunk/BOOK/introduction/welcome/changelog.xml	Sat Aug 19 03:33:49 2017	(r19038)
+++ trunk/BOOK/introduction/welcome/changelog.xml	Sat Aug 19 14:30:54 2017	(r19039)
@@ -46,6 +46,10 @@
       <para>August 19th, 2017</para>
       <itemizedlist>
         <listitem>
+          <para>[bdubbs] - Add a patch to llvm (for compiler-rt) 
+          to provide comatibility with glibc-2.26.</para>
+        </listitem>
+        <listitem>
           <para>[pierre] - Add DjVuLibre to optional dependencies of
           Okular. Fixes
          <ulink url="&blfs-ticket-root;9611">#9611</ulink>.</para>


More information about the blfs-book mailing list